﻿using Microsoft.Win32;
using System;
using System.Windows;
using System.Windows.Media.Imaging;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            this.openButton.Click += openButton_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 이미지 열기 버튼 클릭시 처리하기 - openButton_Click(sender, e)

        /// <summary>
        /// 이미지 열기 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void openButton_Click(object sender, RoutedEventArgs e)
        {
            OpenFileDialog openFileDialog = new OpenFileDialog();

            openFileDialog.Filter = "이미지 파일|*.jpg;*.gif;*.png";

            if(openFileDialog.ShowDialog() == true)
            {
                this.textBox.Text = openFileDialog.FileName;

                BitmapImage bitmapImage = new BitmapImage(new Uri(openFileDialog.FileName));

                this.image.Source = bitmapImage;

                this.fixedImage.Source = bitmapImage;
            }
        }

        #endregion
    }
}